---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libVThreadMonitorTest.dylib'
relocations:
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL13agent_monitor, symObjAddr: 0x27F08, symBinAddr: 0x8068, symSize: 0x0 }
  - { offsetInCU: 0xA3, offset: 0xA3, size: 0x8, addend: 0x0, symName: __ZL19was_lock0_contended, symObjAddr: 0x27F10, symBinAddr: 0x8070, symSize: 0x0 }
  - { offsetInCU: 0xC8, offset: 0xC8, size: 0x8, addend: 0x0, symName: __ZL19was_lock2_contended, symObjAddr: 0x27F11, symBinAddr: 0x8071, symSize: 0x0 }
  - { offsetInCU: 0xE1, offset: 0xE1, size: 0x8, addend: 0x0, symName: __ZL21GetCarrierThread_func, symObjAddr: 0x27F38, symBinAddr: 0x8098, symSize: 0x0 }
  - { offsetInCU: 0x8CEA, offset: 0x8CEA, size: 0x8, addend: 0x0, symName: __ZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x11A4, symBinAddr: 0x1AA4, symSize: 0x198 }
  - { offsetInCU: 0x8D21, offset: 0x8D21, size: 0x8, addend: 0x0, symName: __ZZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobjectE11UNNAMED_LEN, symObjAddr: 0x27F40, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0x8F0C, offset: 0x8F0C, size: 0x8, addend: 0x0, symName: __ZL12test_class_0, symObjAddr: 0x27F18, symBinAddr: 0x8078, symSize: 0x0 }
  - { offsetInCU: 0x8F2A, offset: 0x8F2A, size: 0x8, addend: 0x0, symName: __ZL12test_class_2, symObjAddr: 0x27F20, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x8F43, offset: 0x8F43, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x27F28, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x8F5C, offset: 0x8F5C, size: 0x8, addend: 0x0, symName: __ZL6status, symObjAddr: 0x27F30, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0x8FF2, offset: 0x8FF2, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x154C, symSize: 0x24 }
  - { offsetInCU: 0x951B, offset: 0x951B, size: 0x8, addend: 0x0, symName: _MonitorContendedEnter, symObjAddr: 0xC70, symBinAddr: 0x1570, symSize: 0x3DC }
  - { offsetInCU: 0x9D4F, offset: 0x9D4F, size: 0x8, addend: 0x0, symName: __ZL18get_carrier_threadP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x104C, symBinAddr: 0x194C, symSize: 0x158 }
  - { offsetInCU: 0x9F94, offset: 0x9F94, size: 0x8, addend: 0x0, symName: __ZL23check_contended_monitorP9_jvmtiEnvP7JNIEnv_PKcP8_jobjectPchS6_S6_, symObjAddr: 0x133C, symBinAddr: 0x1C3C, symSize: 0x2AC }
  - { offsetInCU: 0xA32E, offset: 0xA32E, size: 0x8, addend: 0x0, symName: __ZL19check_owned_monitorP9_jvmtiEnvP7JNIEnv_PKcP8_jobjectPchi, symObjAddr: 0x15E8, symBinAddr: 0x1EE8, symSize: 0x258 }
  - { offsetInCU: 0xA828, offset: 0xA828, size: 0x8, addend: 0x0, symName: __ZL17print_stack_traceP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x2268, symBinAddr: 0x2B68, symSize: 0x478 }
  - { offsetInCU: 0xB259, offset: 0xB259, size: 0x8, addend: 0x0, symName: _MonitorContendedEntered, symObjAddr: 0x1840, symBinAddr: 0x2140, symSize: 0x1B8 }
  - { offsetInCU: 0xB5CA, offset: 0xB5CA, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x19F8, symBinAddr: 0x22F8, symSize: 0x4 }
  - { offsetInCU: 0xB60E, offset: 0xB60E, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x19F8, symBinAddr: 0x22F8, symSize: 0x4 }
  - { offsetInCU: 0xB620, offset: 0xB620, size: 0x8, addend: 0x0, symName: __ZL16Agent_InitializeP7JavaVM_PcPv, symObjAddr: 0x19FC, symBinAddr: 0x22FC, symSize: 0x364 }
  - { offsetInCU: 0xBBCF, offset: 0xBBCF, size: 0x8, addend: 0x0, symName: __ZL16ShowErrorMessageP9_jvmtiEnv10jvmtiErrorPKcS3_, symObjAddr: 0x21B8, symBinAddr: 0x2AB8, symSize: 0xB0 }
  - { offsetInCU: 0xBCB4, offset: 0xBCB4, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1D60, symBinAddr: 0x2660, symSize: 0x4 }
  - { offsetInCU: 0xBCF8, offset: 0xBCF8, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1D60, symBinAddr: 0x2660, symSize: 0x4 }
  - { offsetInCU: 0xBD5C, offset: 0xBD5C, size: 0x8, addend: 0x0, symName: _JNI_OnLoad, symObjAddr: 0x1D64, symBinAddr: 0x2664, symSize: 0x15C }
  - { offsetInCU: 0xBF6D, offset: 0xBF6D, size: 0x8, addend: 0x0, symName: _Java_VThreadMonitorTest_hasEventPosted, symObjAddr: 0x1EC0, symBinAddr: 0x27C0, symSize: 0x11C }
  - { offsetInCU: 0xC172, offset: 0xC172, size: 0x8, addend: 0x0, symName: _Java_VThreadMonitorTest_checkContendedMonitor, symObjAddr: 0x1FDC, symBinAddr: 0x28DC, symSize: 0xE8 }
  - { offsetInCU: 0xC316, offset: 0xC316, size: 0x8, addend: 0x0, symName: _Java_VThreadMonitorTest_checkOwnedMonitor, symObjAddr: 0x20C4, symBinAddr: 0x29C4, symSize: 0xDC }
  - { offsetInCU: 0xC49E, offset: 0xC49E, size: 0x8, addend: 0x0, symName: _Java_VThreadMonitorTest_check, symObjAddr: 0x21A0, symBinAddr: 0x2AA0, symSize: 0xC }
...
